org.eclipse.net4j.signal

## Class SignalCounter

- java.lang.Object
- - org.eclipse.net4j.signal.SignalCounter

- All Implemented Interfaces:
    EventListener, IListener

      public final class SignalCounter
      extends Object
      implements IListener

  Provides `signal` execution counts when `attached` to a `signal protocol`.
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignalCounter()`
    `SignalCounter(ISignalProtocol<?> protocol)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearCounts()`
    `void` | `dispose()`
    `int` | `getCountFor(Class<? extends Signal> signal)`
    `int` | `getCountForSignalTypes()` Get the number of different signal counted.
    `void` | `notifyEvent(IEvent event)`
    `int` | `removeCountFor(Class<? extends Signal> signal)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignalCounter

          public SignalCounter()

    - #### SignalCounter

          public SignalCounter(ISignalProtocol<?> protocol)

      Since:
        4.1

  - ### Method Detail

    - #### getCountForSignalTypes

          public int getCountForSignalTypes()

      Get the number of different signal counted.
      Since:
        4.4

    - #### getCountFor

          public int getCountFor(Class<? extends Signal> signal)

    - #### removeCountFor

          public int removeCountFor(Class<? extends Signal> signal)

      Since:
        4.6

    - #### clearCounts

          public void clearCounts()

    - #### notifyEvent

          public void notifyEvent(IEvent event)

      Specified by:
        `notifyEvent` in interface `IListener`

    - #### dispose

          public void dispose()

      Since:
        4.6

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html